C---.----1----.----2----.----3----.----4----.----5----.----6----.----7----.----
C 
C parallel.inc: This is for the parallelization Data
C 
C Authors: P. Lockey and K. Ramstoeck, Oct. 17th 1995
C
C==============================================================================
C
c Standard MPI include file.
c	include 'mpif.h'

c How many processors are there? Which processor am I?

	integer myID, nprocs
	common /parallelprocs/ myID, nprocs

c Maximum number of processors that will ever be used. This
c needs to be increased if a larger parallel machine is used.

	integer maxprocs
	parameter ( maxprocs = 1024 )

c Partitioning of work on grid in both dimensions.
c psz is the partition size. plo is the offsets
c of the first row in each partition, phi is the
c offset of the last row in the partition.
c NOTE: The values of plo and phi are *offsets* (starting
c at 0), not array indices (starting at 1).

	integer maxslots, pslot
	parameter ( maxslots = 10 )
	integer psz(maxslots,0:maxprocs-1), 
     &	   plo(maxslots,0:maxprocs-1), 
     &     phi(maxslots,0:maxprocs-1)
	common /parallelsplit/ psz, plo, phi, pslot

c Tags for MPI communications.

	integer TAG_pmerge
	parameter ( TAG_pmerge = 10 )





