C---.----1----.----2----.----3----.----4----.----5----.----6----.----7----.----
C 
C proutines_seq.f: Routines for using MagFEM on a parallel machine.
C     These are the dummy versions of these routines, to
C     allow the parallel program to run on a serial machine.
C
C Authors: P. Lockey and K. Ramstoeck, 18. Oct. 1995
C
C==============================================================================
c
      Subroutine Pstart()
      implicit none
c      include 'parallel.inc'
c      myid = 0
c      nprocs = 1
      return
      end

c ------------------------------------------------------------------------------

      integer function pIndex()
      implicit none
c I am the only node - must be node 0.
      pIndex = 0
      end

c ------------------------------------------------------------------------------

      integer function pProcs()
      implicit none
c Serial machine so number of processors = 1
      pProcs = 1
      end

c ------------------------------------------------------------------------------

      Subroutine pIntCast(iarray,count)
      integer count
      integer iarray(count)
c Do nothing.
      end
c ------------------------------------------------------------------------------

      Subroutine pRealCast(rarray,count)
      integer count
      real*8 rarray(count)
c Do nothing.
      end
c ------------------------------------------------------------------------------

      Subroutine pStrCast(sarray,count)
      integer count
      character sarray(count)
c Do nothing.
      end

c ------------------------------------------------------------------------------
c
      Subroutine psplit(idim,isz,ilo,ihi)
      implicit none
      integer idim,isz,ilo,ihi
c
      ilo=0
      ihi=idim-1
      isz=idim

      return
      end

c -----------------------------------------------------------------------------
c
      Subroutine pmerge(a,ma,na,malo,masz)
      implicit none
c      include 'parallel.inc'
      integer ma, na, malo(0:1), masz(0:1)
      real*8 a(ma*na)
c Do nothing.
      return
      end

c -----------------------------------------------------------------------------
c
      Subroutine PAbort
      implicit none
c
        stop
      end
c -----------------------------------------------------------------------------

      Subroutine pGetCaseName(Name)
      implicit none
      character*80 Name
c Getarg and Iarg are very common routines to access command line arguments. If
c your compiler doesn't have them, you must fix here. Sorry.
      external getarg, iargc
      integer iargc
c
c      Name=' '
c      if(iargc().eq.0) then
c         write(*, '(A)') 'Casename (? for Info):'
c         read(*,*) Name
c      else
c         call GetArg(1, Name)
c      endif
      return
      end
