C---.----1----.----2----.----3----.----4----.----5----.----6----.----7----.----8
C
C common.f: Datastructures common to MagFEM Software. (File of commons..)
C	Declare constants and common arrays once and for all, so we can
C	include '...' them where they are needed.
C	This is the part which changes for the different flavors of MagFEM.
C	It include '...''s FemStruct.f, which contains the part which doesn't
C	change.
C	Do not link to this file, use a copy instead!
C
C Author: Dima Berkov, Klaus Ramstoeck, 12-Dec-1992
C
C===============================================================================
c NM,MM: Max. Mesh dimensions; use whichever your memory holds.
c SIGH, SIGV: Switch horizontal/vertical surface charges on/off
c NoPol: Allocate space for CG intermediate storage (NoPol=1) or not (NoPol=0)
      integer NM,MM, SIGH, SIGV, NoPol
      parameter(NM=256,MM=128,SIGH=1,SIGV=1, NoPol=1)
c Boundary condition: 1-Free, 2-Embedded, 3-Periodic
c Order: Up-Down-left-right
      integer BoundCond(4), BcFree,BcEmbedd,BcPeriod,
     &		BnUp,BnDwn, BnLft,BnRgt
      parameter (BcFree=1,BcEmbedd=2,BcPeriod=3)
      parameter (BnUp=1,BnDwn=2, BnLft=3,BnRgt=4)
      common /Boundary/ BoundCond
      real*8 PI, PI2, PI4
      parameter (PI=3.141592653589793D0, PI2=PI*2, PI4=PI*4)
C What good is a language which DOES NOT KNOW PI????????? ARGH!
